import request from '@/utils/request'

// 查询岗位信息列表
export function list(query) {
  return request({
    url: '/company/companyPost/list',
    method: 'get',
    params: query
  })
}

// 查询岗位信息详细
export function getCompanyPost(postId) {
  return request({
    url: '/company/companyPost/' + postId,
    method: 'get'
  })
}

// 新增岗位信息
export function addCompanyPost(data) {
  return request({
    url: '/company/companyPost',
    method: 'post',
    data: data
  })
}

// 修改岗位信息
export function updateCompanyPost(data) {
  return request({
    url: '/company/companyPost',
    method: 'put',
    data: data
  })
}

// 删除岗位信息
export function delOperlog(postId) {
  return request({
    url: '/company/companyPost/' + postId,
    method: 'delete'
  })
}

// 导出岗位信息
export function exportOperlog(query) {
  return request({
    url: '/company/companyPost/export',
    method: 'get',
    params: query
  })
}
